diff options
author | Jim Meyering <jim@meyering.net> | 2007-09-06 17:34:49 +0200 |
---|---|---|
committer | Jim Meyering <jim@meyering.net> | 2007-09-15 08:40:38 +0200 |
commit | df0beae1eb1318869d51a064aec8fdd401877cbf (patch) | |
tree | 94f2224056162eadbb3d6b640e32f56d3f405cbf /tests/cp/cp-HL | |
parent | c840cd4334c086f5ce4d9144d9fac75643824a38 (diff) | |
download | coreutils-df0beae1eb1318869d51a064aec8fdd401877cbf.tar.xz |
Adjust chgrp, chmod, chown, cp tests to use test-lib.sh.
* tests/check.mk: Also define abs_top_builddir.
Diffstat (limited to 'tests/cp/cp-HL')
-rwxr-xr-x | tests/cp/cp-HL | 26 |
1 files changed, 6 insertions, 20 deletions
diff --git a/tests/cp/cp-HL b/tests/cp/cp-HL index dd9f28b79..6040cc94c 100755 --- a/tests/cp/cp-HL +++ b/tests/cp/cp-HL @@ -1,7 +1,7 @@ #!/bin/sh # test cp's -H and -L options -# Copyright (C) 2000, 2002, 2004, 2006 Free Software Foundation, Inc. +# Copyright (C) 2000, 2002, 2004, 2006-2007 Free Software Foundation, Inc. # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by @@ -21,26 +21,12 @@ if test "$VERBOSE" = yes; then cp --version fi -. $srcdir/../envvar-check +. $srcdir/../test-lib.sh -pwd=`pwd` -t0=`echo "$0"|sed 's,.*/,,'`.tmp;tmp=$t0/$$ -trap 'status=$?; cd "$pwd" && rm -rf $t0 && exit $status' 0 -trap 'exit $?' 1 2 13 15 - -framework_failure=0 -mkdir -p $tmp || framework_failure=1 -cd $tmp || framework_failure=1 - -mkdir src-dir dest-dir || framework_failure=1 -echo f > f || framework_failure=1 -ln -s f slink || framework_failure=1 -ln -s no-such-file src-dir/slink || framework_failure=1 - -if test $framework_failure = 1; then - echo 'failure in testing framework' - exit 1 -fi +mkdir src-dir dest-dir || framework_failure +echo f > f || framework_failure +ln -s f slink || framework_failure +ln -s no-such-file src-dir/slink || framework_failure fail=0 |